MARTe2-core - User story #109

MARTe-EX-F-1.2.4: A framework developer shall be capable of changing, at any time, the priority of
any thread.

29.05.2015 14:18 - André Neto

Status: Closed Start date:
Priority: Normal Due date:
Assignee: % Done: 0%
Category: Estimated time: 16.00 hours
Target version: 0.2 Spent time: 0.00 hour
Git branch (link): SVN commit
(link/?p=rev):
Git merge to develop
(link):
Description
See #160

Implement requirement MARTe-EX-F-1.2.4 based on the original MARTe implementation

Note: This priority will be operating system dependent and the framework shall guarantee that a uniform interface is provided to all
operating systems, so that the same relative priority has the same meaning independently of the operating system.

Source code files modified

°

Source/Core/L0Portability/ThreadsDatabase.h
Source/Core/L0Portability/ ThreadsDatabase.cpp
Source/Core/LOPortability/Threads.h
Source/Core/L0Portability/Threads.cpp
Source/Core/L0Portability/OperatingSystem/Linux/ThreadsOS.h
Source/Core/L0Portability/OperatingSystem/Windows/ThreadsOS.h
Test/Core/LOPortability/ThreadsTest.cpp
Test/Core/LOPortability/ThreadsTest.h
Test/GTest/ThreadsGTest.cpp

Architecture & design review
Date of the review: 08/06/2015
Person who did the review: André Neto

Version of architecture & design document: N/A. As per the original MARTe implementation, this is a function of a support class
and does not require formal design in UML.

Result of review: N/A

List of non-conformities: N/A

Code and documentation review

Date of the review: 18/06/2015
Person who did the review: lvan Herrero
Result of review: PASS

List of non-conformities: N/A

Unit test review
Date of the review: 01/07/2015

Person who did the review: lvan Herrero
Result of coverage tests review: FAIL
Result of functional tests review: FAIL
Result of review: FAIL

List of non-conformities:

The unit tests do not follow the convention of a testing method for each target class method.

Associated revisions

Revision 67764feb - 11.06.2015 07:56 - Giuseppe Ferro
Implemented threads functionalities described in redmine #103 #104 #112 #107 #108 #111 #105 #106 #110 #109

Revision 99489410 - 12.06.2015 08:52 - Giuseppe Ferro

Implemented class priorities and thread priorities functionalities described in #109 #111

Revision f048da13 - 17.06.2015 12:10 - Giuseppe Ferro

Moved THREADS_DEFAULT_STACKSIZE in GeneralDefinitionsOS.h.
Formatted code with new templates.

Fixed errors accordingly with the revision.

#109 #110 #106 #105 #111 #108 #107 #112 #113 #104 #103

Revision 56f896af - 23.06.2015 16:59 - Giuseppe Ferro

Added Threads and ThreadsDatabase tests.
#110 #123 #103 #104 #112 #107 #108 #111 #106 #105 #109 #113

Revision a1ee0477 - 25.06.2015 13:37 - Giuseppe Ferro

Added Threads unit tests.
Renamed previous tests because they are integration tests.
#110 #123 #103 #104 #112 #107 #108 #111 #106 #105 #109 #113

Revision 73118356 - 14.07.2015 12:14 - Llorenc Capella
US #109 Threads test

List of changes: * TestBeginThread is split in 3 tests: TestBeginThread,

TestBeginThreadStackSize0, TestBeginThreadNullFunction.  * Removed duplicated code in TestEndTHread(). * TestlsAlive is split in 2 tests:
TestlsAlive and Testls

AliveAfterKill  * TestKill is plit in two tests: TestKilllnvalidID and TestKill. * TestName is plit in two tests: TestName and TEstNameNull.
TestGetThreadInfoCopy is split in 4 tests: TestGetThreadlnfoCopy,

TestGetThreadInfoCopylInvalidID, TestCopyThreadinfoCopyBylnitialization

and TestCopyThreadInfoCopyEqualOperator.  * TestProtectedExecute() are modified to increase the entropy of the

increment operation.

*

Revision 72b4cca2 - 15.07.2015 11:28 - Llorenc Capella
US #109 - Remove some tests from TestThreads
List of changes: * Remove the tests TestCopyThreadInfoEqualOperator &

TestCopyThreadInfoBylnitialization from TestThreads due to they are not
testing methods of the Threads class.

History

#1 - 03.06.2015 10:22 - Riccardo Vitelli

- Target version changed from Backlog to 0.1
- Start date deleted (29.05.2015)

- Estimated time set to 16.00 h

#2 - 08.06.2015 09:25 - Riccardo Vitelli
- Status changed from New to Arch: Rev

#3 - 08.06.2015 09:26 - Riccardo Vitelli

- Assignee set to André Neto

#4 - 08.06.2015 13:14 - André Neto

- Description updated

#5 - 08.06.2015 17:54 - Riccardo Vitelli
- Status changed from Arch: Rev to Code: Impl

#6 - 08.06.2015 17:55 - Riccardo Vitelli

- Assignee changed from André Neto to Giuseppe Ferro

#7 - 12.06.2015 10:29 - Riccardo Vitelli
- Status changed from Code: Impl to Code: Rev

#8 - 12.06.2015 11:16 - Riccardo Vitelli

- Assignee changed from Giuseppe Ferro to Ivan Herrero

#9 - 17.06.2015 09:49 - lvan Herrero

- Description updated

#10 - 17.06.2015 09:56 - Ivan Herrero

- Description updated

#11 - 17.06.2015 10:01 - Ivan Herrero

- Description updated

#12 - 18.06.2015 09:45 - Ivan Herrero

- Assignee changed from Ivan Herrero to Giuseppe Ferro

#13 - 18.06.2015 17:21 - Ivan Herrero
- Description updated

- Assignee deleted (Giuseppe Ferro)

#14 - 18.06.2015 17:22 - lvan Herrero
- Status changed from Code: Rev to Unit: Impl

#15 - 18.06.2015 18:18 - lvan Herrero

Code and documentation review passed. Unit testing implementation pending.

#16 - 25.06.2015 17:22 - Riccardo Vitelli
- Status changed from Unit: Impl to Unit: Rev

#17 - 01.07.2015 16:32 - Ilvan Herrero
- Description updated

- Assignee set to Ivan Herrero

Unit test review made on revision 8064124 [FAIL].

Note: It is currently being refactored.

#18 - 01.07.2015 17:57 - Riccardo Vitelli

- Assignee deleted (Ivan Herrero)

#19 - 01.07.2015 17:59 - Riccardo Vitelli
- Status changed from Unit: Rev to Unit: Impl

#20 - 02.07.2015 18:06 - Riccardo Vitelli

- Target version changed from 0.1 to 0.2

#21 - 13.07.2015 10:27 - Llorenc Capella

- Assignee set to Llorenc Capella

#22 - 14.07.2015 12:31 - Llorenc Capella
- Status changed from Unit: Impl to Unit: Rev

#23 - 14.07.2015 13:00 - Llorenc Capella
- Description updated

- Status changed from Unit: Rev to Unit: Impl

#24 - 15.07.2015 11:55 - Llorenc Capella
- Assignee deleted (Llorenc Capella)

#25 - 16.07.2015 09:29 - Riccardo Vitelli
- Status changed from Unit: Impl to Code: Impl

#26 - 29.07.2015 15:12 - Riccardo Vitelli

- Description updated

#27 - 29.07.2015 15:12 - Riccardo Vitelli
- Status changed from Code: Impl to Closed
